# Testing Facilities Testing Facilities ## Gets all of the testing facilities in the system. - [GET /testingFacilities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/listtestingfacilities.md): This method will scan all testing facilities and and return them to the caller. ## Creates a new testing facility record that does not already exist. - [POST /testingFacilities/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/createtestingfacility.md): This method will auto-generate an ID and create a new testing facility. If an ID is specified for the testing facility, an error will be thrown. ## Execute Batch Operations - [POST /testingFacilities/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a testing facility from the system by its ID. - [DELETE /testingFacilities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/deletetestingfacility.md): This method will delete a testing facility with the specified ID. ## Returns a testing facility from the system by its ID. - [GET /testingFacilities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/gettestingfacility.md): This method will look up a testing facility by the specified ID and return it back. ## Partially updates a testing facility with the specified ID. - [PATCH /testingFacilities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/patchtestingfacility.md): This method will patch an existing testing facility with the specified ID, using the HTTP PATCH specification. ## Updates a testing facility with the specified ID. - [PUT /testingFacilities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/testing-facilities/updatetestingfacility.md): This method will update an existing testing facility with the specified ID.